﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces

Namespace MyERP2Model
    Public Class DiscountGroup
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

#Region "Properties"
        Public Property Id As Guid
        Public Property Description As String
        Public Property MaxDiscount As Decimal
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvArticles As New ObservableCollection(Of Article)
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region
    End Class
End Namespace