Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class ObjectDescription
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
        Implements IProtocolable
#Region "Mapped"
        Public Property Id As Guid
        Public Property ArtId As Guid
        Public Property DescType As String
        Public Property Description As String
        Public Property LanguageId As Guid
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvArticle As Article
        Public Overridable Property NvLanguage As Language
#End Region
#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
        Public Property Protocol As ICollection(Of Protocol) Implements IProtocolable.Protocol
#End Region
    End Class
End Namespace