﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces

Namespace MyERP2Model
    Public Class TextDescriptionHeader
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

#Region "Mapped"
        Public Property Id As Guid
        Public Property TextType As Integer
        Public Property Header As String
#End Region


#Region "Navigation Properties"
        Public Overridable Property NvDescriptions As New ObservableCollection(Of TextDescription)
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region

    End Class

End Namespace