﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces
Imports Model.MyERP2Model

Namespace ViewModel
    Public Class FilterItemVM
        Inherits MyViewModelBase
        Implements ISequencedObject

        Dim _BaseItem As FilterItem

        Public Sub New()
        End Sub
        Friend Sub New(__BaseItem As FilterItem)
            _BaseItem = __BaseItem
        End Sub

#Region "Properties"
        Public Property Id As Guid
            Get
                Return _BaseItem.Id
            End Get
            Set(value As Guid)
                _BaseItem.Id = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property FilterId As Guid
            Get
                Return _BaseItem.FilterId
            End Get
            Set(value As Guid)
                _BaseItem.FilterId = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property LeftParenthesis As String
            Get
                Return _BaseItem.LeftParenthesis
            End Get
            Set(value As String)
                _BaseItem.LeftParenthesis = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property RightParenthesis As String
            Get
                Return _BaseItem.RightParenthesis
            End Get
            Set(value As String)
                _BaseItem.RightParenthesis = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property TypeStr As String
            Get
                Return _BaseItem.TypeStr
            End Get
            Set(value As String)
                _BaseItem.TypeStr = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property PropertyStr As String
            Get
                Return _BaseItem.PropertyStr
            End Get
            Set(value As String)
                _BaseItem.PropertyStr = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property FilterValueStr As String
            Get
                Return _BaseItem.FilterValueStr
            End Get
            Set(value As String)
                _BaseItem.FilterValueStr = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property FilterValueInt As Integer
            Get
                Return _BaseItem.FilterValueInt
            End Get
            Set(value As Integer)
                _BaseItem.FilterValueInt = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property FilterValueDec As Decimal
            Get
                Return _BaseItem.FilterValueDec
            End Get
            Set(value As Decimal)
                _BaseItem.FilterValueDec = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property FilterValueDate As Date
            Get
                Return _BaseItem.FilterValueDate
            End Get
            Set(value As Date)
                _BaseItem.FilterValueDate = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property Comparer As String
            Get
                Return _BaseItem.Comparer
            End Get
            Set(value As String)
                _BaseItem.Comparer = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property Link As String
            Get
                Return _BaseItem.Link
            End Get
            Set(value As String)
                _BaseItem.Link = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property Aktiv As Boolean
            Get
                Return _BaseItem.Aktiv
            End Get
            Set(value As Boolean)
                _BaseItem.Aktiv = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region

#Region "Navigation Properties"
        Public Overridable Property NVFilterDefinition As FilterDefinitionVM
#End Region

#Region "Interfaces"
        Public Property SequenceNumber As Integer Implements ISequencedObject.SequenceNumber
#End Region


    End Class
End Namespace