﻿
Imports System.Collections.ObjectModel
Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class UserSettingsGrid
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp


#Region "Properties"
        Public Property Id As Guid
        Public Property UserId As Guid
        Public Property ViewName As String
        Public Property GridName As String
        Public Property IsStandard As Boolean
        Public Property InDashboard As Boolean
#End Region

#Region "Navigation Properties"
        Public Overridable Property NVUserSettingsGridColumns As New ObservableCollection(Of UserSettingsGridColumn)
        Public Overridable Property NvUser As User
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region

    End Class
End Namespace
