﻿Imports System.Collections.ObjectModel
Imports System.Windows.Data
Imports GalaSoft.MvvmLight.CommandWpf
Imports Model.MyERP2Model
Imports MyERP2.BL.Persistence

Namespace ViewModel
    Public Class CurrenciesOverviewVM
        Inherits MyViewModelBase
        Dim _UnitofWork As New UnitOfWork

        Dim __Currencies As New ObservableCollection(Of CurrencyVM)
        Public Property Currencies As ListCollectionView

        Sub New()
            If IsInDesignMode Then
                For i = 1 To 2
                    __Currencies.Add(New CurrencyVM With {.CurrName = "Curr" & i.ToString, .CurrSymbol = i.ToString, .CurrConversionRate = i + 0.2, .CurrConversionRateDate = Date.Now.AddDays(-i)})
                Next
            Else
                Dim AllCurrencies As List(Of Currency) = _UnitofWork.CurrencyRepo.GetAll.ToList
                AllCurrencies.ForEach(Sub(x) __Currencies.Add(New CurrencyVM(x)))
                Currencies = New ListCollectionView(__Currencies)
            End If
        End Sub

#Region "CRUD"
        Public Property CmdAddItem As New RelayCommand(AddressOf AddItem, AddItemCanExecute())

        Private Sub AddItem()
            Throw New NotImplementedException()
        End Sub

        Private Function AddItemCanExecute() As Boolean
            Throw New NotImplementedException()
        End Function

        Public Property CmdDeleteItems As New RelayCommand(AddressOf DeleteItem, DeleteItemCanExecute())

        Private Sub DeleteItem()
            Throw New NotImplementedException()
        End Sub

        Private Function DeleteItemCanExecute() As Boolean
            Throw New NotImplementedException()
        End Function

        Public Property CmdEditItem As New RelayCommand(AddressOf EditItem, EditItemCanExecute())

        Private Sub EditItem()
            Throw New NotImplementedException()
        End Sub

        Private Function EditItemCanExecute() As Boolean
            Throw New NotImplementedException()
        End Function



#End Region

    End Class
End Namespace