﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces
Imports Model.MyERP2Model

Namespace ViewModel
    Partial Public Class UserSettingsGridColumnVM
        Inherits MyViewModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
        Implements ISequencedObject

        Dim _BaseItem As UserSettingsGridColumn

        Public Sub New()
        End Sub
        Friend Sub New(__BaseItem As UserSettingsGridColumn)
            _BaseItem = __BaseItem
        End Sub
#Region "Properties"
        Public Property Id As Guid
            Get
                Return _BaseItem.Id
            End Get
            Set(value As Guid)
                _BaseItem.Id = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property UserSettingsGridId As Guid
            Get
                Return _BaseItem.UserSettingsGridId
            End Get
            Set(value As Guid)
                _BaseItem.UserSettingsGridId = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property ColumnName As String
            Get
                Return _BaseItem.ColumnName
            End Get
            Set(value As String)
                _BaseItem.ColumnName = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property IsVisible As Boolean
            Get
                Return _BaseItem.IsVisible
            End Get
            Set(value As Boolean)
                _BaseItem.IsVisible = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvUserSettingsGrid As UserSettingsGridVM
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
            Get
                Return _BaseItem.DeletedFlag
            End Get
            Set(value As Boolean)
                _BaseItem.DeletedFlag = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
            Get
                Return _BaseItem.DeletedTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.DeletedTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
            Get
                Return _BaseItem.LastUpdateTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.LastUpdateTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
            Get
                Return _BaseItem.CreationTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.CreationTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property SequenceNumber As Integer Implements ISequencedObject.SequenceNumber
            Get
                Return _BaseItem.SequenceNumber
            End Get
            Set(value As Integer)
                _BaseItem.SequenceNumber = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region

    End Class
End Namespace