﻿Imports GalaSoft.MvvmLight
Imports GalaSoft.MvvmLight.CommandWpf
Imports ViewModel.Interfaces

Namespace ViewModel
    Public Class LoginVM
        Inherits ViewModelBase

        Sub New()
            Username = Environment.UserName.ToLower
            GetAvailableServers()

            If IsInDesignMode Then
                For i = 1 To 2
                    AvailableServers.Add("Server" & i.ToString)
                    AvailableDatabases.Add("Database" & i.ToString)
                Next
            End If
        End Sub

        Private Sub GetAvailableServers()
            'Implement logic for having a list of servers
        End Sub

        Public Property AvailableServers As New List(Of String)
        Public Property AvailableDatabases As New List(Of String)



        Dim vSelectedServer As String = String.Empty
        Public Property SelectedServer As String
            Get
#If DEBUG Then
                Return "STEPHAN-SERVER\MYAREASQL"
#Else
    return vSelectedServer
#End If
            End Get
            Set(value As String)
                vSelectedServer = value
                RaisePropertyChanged()
            End Set
        End Property

        Dim vSelectedDatabase As String = String.Empty
        Public Property SelectedDatabase As String
            Get
#If DEBUG Then
                Return "myerp2_v01"
#Else
            return vSelectedDatabase
#End If
            End Get
            Set(value As String)
                vSelectedDatabase = value
                RaisePropertyChanged()
            End Set
        End Property


        Dim vUsername As String = String.Empty
        Public Property Username As String
            Get
#If DEBUG Then
                Return "Administrator"
#Else
            Return vUsername
#End If

            End Get
            Set(value As String)
                vUsername = value
                RaisePropertyChanged()
            End Set
        End Property

        Dim vPassword As String
        Public Property Password As String
            Get
#If DEBUG Then
                Return "123456"
#Else
            Return vPassword
#End If
            End Get
            Set(value As String)
                vPassword = value
                RaisePropertyChanged()
            End Set
        End Property

        'Public Property CmdPerformLogin As New RelayCommand(AddressOf PerformLogin, Function() Username <> Nothing OrElse Username <> String.Empty AndAlso Password <> Nothing OrElse Password <> String.Empty)
        Public Property CmdCancelLogin As New RelayCommand(Of IClosable)(AddressOf CancelLogin)

        'Private Sub PerformLogin()
        '    'Do the login stuff here.

        'End Sub
        Private Sub CancelLogin(ByVal Window As IClosable)
            'Cancel the login and close the application
            If Window IsNot Nothing Then Window.Close()
            Windows.Application.Current.Shutdown()
        End Sub


        '        Idee für Login Form: 'https://stackoverflow.com/questions/16172462/close-window-from-viewmodel
        'https://stackoverflow.com/questions/7114687/wpf-mvvm-simple-login-to-an-application
        'https://stackoverflow.com/questions/16172462/close-window-from-viewmodel

    End Class
End Namespace
