﻿Imports System.Collections.ObjectModel
Imports GalaSoft.MvvmLight
Imports Model.Interfaces
''' <summary>
''' This class inherits the Galasoft MVVM ViewModelbase and also implements all necessary Common Properties für Viewmodels
''' </summary>
Public MustInherit Class MyViewModelBase
    Inherits ViewModelBase
    Implements IRequestCloseViewModel

    Public Event RequestClose() Implements IRequestCloseViewModel.RequestClose

    Public Function PerformRequestClose() As Boolean
        RaiseEvent RequestClose()
        Return True
    End Function

    Dim vVMId As String
    ''' <summary>
    ''' This Id is necessary if a ViewModel can be openend more than 1 time.
    ''' </summary>
    ''' <returns></returns>
    Public Property VMId As String
        Get
            Return vVMId
        End Get
        Set(value As String)
            vVMId = value
        End Set
    End Property

    'https://www.codeproject.com/Articles/42548/MVVM-and-the-WPF-DataGrid
    Public Shared Function SetCollectionSequence(Of T As ISequencedObject)(ByVal targetCollection As ObservableCollection(Of T)) As ObservableCollection(Of T)
        Dim sequenceNumber = 1

        For Each sequencedObject As ISequencedObject In targetCollection
            sequencedObject.SequenceNumber = sequenceNumber
            sequenceNumber += 1
        Next

        Return targetCollection
    End Function


    'Public ReadOnly Property Zoom As Double
    '    Get
    '        If SingletonUserRights.Instance.CurrentUser IsNot Nothing Then
    '            Return SingletonUserRights.Instance.CurrentUser.Zoom
    '        Else
    '            Return 1
    '        End If
    '    End Get
    'End Property


    'Public Function CreateNewView(vType As Type) As Boolean
    '    If vType Is Nothing Then Return False

    '    Dim flags As BindingFlags = BindingFlags.[Public] Or BindingFlags.Instance
    '    Dim vPropInfos As PropertyInfo() = vType.GetProperties(flags)
    '    For Each vProp As PropertyInfo In vPropInfos
    '        Try
    '            CType(vProp.GetCustomAttribute(GetType(DisplayAttribute)), DisplayAttribute).GetName()
    '            Console.WriteLine("{0} - {1} - {2}", vProp.Name, vProp.PropertyType.ToString, CType(vProp.GetCustomAttribute(GetType(DisplayAttribute)), DisplayAttribute).GetName)
    '            'AvailableProperties.Add(New Tuple(Of String, String, String)(vProp.Name, vProp.PropertyType.ToString, CType(vProp.GetCustomAttribute(GetType(DisplayAttribute)), DisplayAttribute).GetName.ToString))
    '        Catch ex As Exception
    '            Console.WriteLine(vProp.Name)
    '            Continue For
    '        End Try


    '        'Id -System.Guid - Interne ID
    '        'ArtNr -System.String - Artikelnummer
    '        'ArticleType -System.Int32 - Artikelart

    '    Next
    'End Function





End Class
